%  meanSquaredError.m
%  -------
%  Calculates the mean squared error between to matrices.
%  Written by : Oskar Gross
%  LastEditDate  : May, 24, 2009

%% Calculate the mean squared error
% average((y-ypredict)*(y-ypredict))/average(y*y)*100%

function [sqerr] = meanSquaredError(Y, Yhat, Lag)
n = zeros(1,length(Y));
s = zeros(1,length(Y));
for i=Lag+1:(length(Y))
    n(i) = (Y(i) - Yhat(i-Lag))^2;
    s(i) = Y(i)^2;
end
sqerr = mean(n)/mean(s)*100;
end