function [U, Index]=mergesignals(Ux, Net)
% MERGESIGNALS
%
% Takes a number of signal samples and merges them together
% 
% Input:
% Ux - The array of matrices to be merged
% Net - The network structure variable ('nnarmax', 'nnarx', 'nnssif',
% 'nnoe')
%
% Output:
% U - the merged matrix
% Index - the matrix holding the information of the beginning of each time
% sample
% 
if (strcmp(Net,'nnarx') == 1 || strcmp(Net, 'nnoe') == 1)

end

end